## aiotask-context 0.6.1

=== Makefile ===
syntax:
	flake8 --exclude=examples/,.tox,.eggs

cov:
	pytest --cov-report term-missing --cov=aiotask_context -sv tests/test_context.py

test:
	pytest tests/ -sv

=== debian/changelog ===
aiotask-context (0.6.1-3) unstable; urgency=medium

  * Disable test suite, it needs updating for Python 3.11. (Closes: #1024854)

 -- Edward Betts <edward@4angle.com>  Fri, 09 Dec 2022 04:09:47 +0000

aiotask-context (0.6.1-2) unstable; urgency=medium

  * Source-only upload to allow package to migrate to testing.

 -- Edward Betts <edward@4angle.com>  Tue, 16 Aug 2022 12:28:27 +0100

aiotask-context (0.6.1-1) unstable; urgency=medium

  * Initial release. (Closes: #1016861)

 -- Edward Betts <edward@4angle.com>  Wed, 10 Aug 2022 07:18:47 +0100

=== debian/control ===
Source: aiotask-context
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Edward Betts <edward@4angle.com>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-all,
               python3-setuptools,
Rules-Requires-Root: no
Standards-Version: 4.6.1
Homepage: https://github.com/Skyscanner/aiotask-context
Vcs-Browser: https://salsa.debian.org/python-team/packages/aiotask-context
Vcs-Git: https://salsa.debian.org/python-team/packages/aiotask-context.git

Package: python3-aiotask-context
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Store context information inside the asyncio.Task object
 This library is used to pass information between coroutine calls without the
 need to do it explicitly using the called coroutine args.
 .
 Supports both asyncio and uvloop loops.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=aiotask-context
export PYBUILD_TEST_PYTEST=1

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf aiotask_context.egg-info/

override_dh_auto_test:

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/aiotask-context-$1\.tar\.gz/ \
  https://github.com/Skyscanner/aiotask-context/tags .*/v?(\d\S+)\.tar\.gz
